#ifndef __SINES_H__
#define __SINES_H__
#include "globals.h"

#define SAMPLE double

//parent class for the sine waves
class Sines {
public:
	//constructor
	Sines();
	//destructor
	~Sines();
public:
	void initialize(bool play, float g_inc, int NumPts, float PointArray[][2]);
	float setFreq(float x1, float y1, float x2, float y2, float xNow);
	void synthesize(SAMPLE * BUFFER, int numFrames, int lineNumber);
	
public:
	//buffer
	SAMPLE * m_buf;
	bool m_play;
	float m_inc;
	float m_freq[MaxNumSines];
	float m_phi[MaxNumSines];
	//float m_gain[MaxNumSines];
	int m_numPts;
	float m_PointArray[MaxNumPts][2];
};

#endif